/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-29 10:49:29.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.commons.exception.StatusException;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordDataEntity;

/**
 * 类信息转换
 *
 * @author: QMTH
 * @since: 2018/8/17
 */
public class ExamRecordDataBeanConvert implements JsonSerializable {
    /**
     * 将数据库实体转换为业务实体
     * @param erdEntity
     * @return
     */
    public static ExamRecordDataDomain copyFrom(ExamRecordDataEntity erdEntity){
        if (erdEntity==null){
            return null;
        }

        ExamRecordDataDomain result = new ExamRecordDataDomain();
        result.setAllObjectivePaper(erdEntity.getIsAllObjectivePaper());
        result.setAudit(erdEntity.getIsAudit());
        result.setBaiduFaceLivenessSuccessPercent(erdEntity.getBaiduFaceLivenessSuccessPercent());
        result.setCleanTime(erdEntity.getCleanTime());
        result.setContinued(erdEntity.getIsContinued());
        result.setContinuedCount(erdEntity.getContinuedCount());
        result.setCreationTime(erdEntity.getCreationTime());
        result.setEndTime(erdEntity.getEndTime());
        result.setExamOrder(erdEntity.getExamOrder());
        result.setExamOrder(erdEntity.getExamOrder());
        result.setExamRecordQuestionsId(erdEntity.getExamRecordQuestionsId());
        result.setExamRecordStatus(erdEntity.getExamRecordStatus());
        result.setExceed(erdEntity.getIsExceed());
        result.setFaceFailedCount(erdEntity.getFaceFailedCount());
        result.setFaceLandmarkVal(erdEntity.getFaceLandmarkVal());
        result.setFaceStrangerCount(erdEntity.getFaceStrangerCount());
        result.setFaceSuccessCount(erdEntity.getFaceSuccessCount());
        result.setFaceSuccessPercent(erdEntity.getFaceSuccessPercent());
        result.setFaceTotalCount(erdEntity.getFaceTotalCount());
        result.setFaceVerifyResult(erdEntity.getFaceVerifyResult());
        result.setId(erdEntity.getId());
        result.setIllegality(erdEntity.getIsIllegality());
        result.setReexamine(erdEntity.getIsReexamine());
        result.setStartTime(erdEntity.getStartTime());
        result.setUpdateTime(erdEntity.getUpdateTime());
        result.setUsedExamTime(erdEntity.getUsedExamTime());
        result.setWarn(erdEntity.getIsWarn());
        return result;
    }
}