package cn.com.qmth.examcloud.core.oe.admin.api.controller;

import cn.com.qmth.examcloud.core.basic.api.OrgCloudService;
import cn.com.qmth.examcloud.core.basic.api.bean.OrgBean;
import cn.com.qmth.examcloud.core.basic.api.request.GetOrgsReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetOrgsResp;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @author chenken
 */
@Api(tags = "考试记录审核相关接口")
@RestController
@RequestMapping("${$rmp.ctr.oe}/baseInfo")
public class BaseInfoController extends ControllerSupport {

    @Autowired
    private OrgCloudService orgCloudService;

    @GetMapping("/org/list")
    public List<OrgBean> queryOrg() {
        List<OrgBean> orgBeanList = new ArrayList<OrgBean>();
        Long start = 1l;
        GetOrgsReq req = new GetOrgsReq();
        req.setRootOrgId(this.getRootOrgId());
        while (true) {
            req.setStart(start);
            GetOrgsResp getOrgsResp = orgCloudService.getOrgs(req);
            List<OrgBean> subOrgBeanList = getOrgsResp.getOrgBeanList();
            for (OrgBean orgBean : subOrgBeanList) {
                if (orgBean.getEnable()) {
                    orgBeanList.add(orgBean);
                }
            }
            if (start.equals(getOrgsResp.getNext())) {
                break;
            } else {
                start = getOrgsResp.getNext();
            }
        }
        return orgBeanList;
    }

}
