package cn.com.qmth.examcloud.core.oe.admin.api.controller;

import cn.com.qmth.examcloud.commons.exception.StatusException;
import cn.com.qmth.examcloud.core.oe.admin.base.utils.Check;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordPaperStructEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.ExamRecordDataSyncService;
import cn.com.qmth.examcloud.core.oe.admin.service.ExamRecordPaperStructService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author chenken
 * @date 2018年9月5日 下午4:02:15
 * @company QMTH
 * @description 考试记录-试卷结构controller
 */
@Api(tags = "考试记录-试卷结构")
@RestController
@RequestMapping("${$rmp.ctr.oe}/examRecordPaperStruct")
public class ExamRecordPaperStructController extends ControllerSupport {

    @Autowired
    private ExamRecordPaperStructService examRecordPaperStructService;

    @Autowired
    private ExamRecordDataSyncService examRecordDataSyncService;

    @ApiOperation(value = "获取考试记录试卷结构")
    @GetMapping("/getExamRecordPaperStruct")
    public ExamRecordPaperStructEntity getExamRecordPaperStruct(@RequestParam Long examRecordDataId, @RequestParam(required = false) String fromCache) {
        if (fromCache != null) {
            // 从临时表中获取 实际的考试记录ID
            examRecordDataId = examRecordDataSyncService.getExamRecordDataIdByCacheId(examRecordDataId);
            if (examRecordDataId == null) {
                throw new StatusException("1001", "未找到考试记录数据");
            }
        }
        return examRecordPaperStructService.getExamRecordPaperStruct(examRecordDataId);
    }

}
