package cn.com.qmth.examcloud.core.oe.admin.api.provider;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamPaperStructCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.GetExamRecordPaperStructReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetExamRecordPaperStructResp;
import cn.com.qmth.examcloud.core.oe.admin.base.utils.Check;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordPaperStructEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.ExamRecordPaperStructService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "考试记录-试卷结构")
@RestController
@RequestMapping("${$rmp.cloud.oe}/examRecordPaperStruct")
public class ExamRecordPaperStructProvider extends ControllerSupport implements ExamPaperStructCloudService {

    /**
     *
     */
    private static final long serialVersionUID = 9057798814755020949L;

    @Autowired
    private ExamRecordPaperStructService examRecordPaperStructService;

    @ApiOperation(value = "获取考试记录试卷结构")
    @PostMapping("/getExamRecordPaperStruct")
    @Override
    public GetExamRecordPaperStructResp getExamRecordPaperStruct(@RequestBody GetExamRecordPaperStructReq req) {
        Check.isNull(req.getExamRecordDataId(), "考试记录id不能为空");
        ExamRecordPaperStructEntity examRecordPaperStructEntity = examRecordPaperStructService.getExamRecordPaperStruct(req.getExamRecordDataId());
        GetExamRecordPaperStructResp resp = new GetExamRecordPaperStructResp();
        if (null == examRecordPaperStructEntity) {
            return null;
        }
        resp.setDefaultPaper(examRecordPaperStructEntity.getDefaultPaper());
        return resp;
    }

}
