/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-17 15:21:52.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.base.jpa;

import org.springframework.data.domain.Sort;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 排序条件类
 *
 * @author: QMTH
 * @since: 2018/8/17
 */
public class Order implements Serializable {
    protected static final long serialVersionUID = -1L;
    private String fieldName;
    private Sort.Direction direction;

    private List<Order> orders = new ArrayList<>();

    public Order asc(String fieldName) {
        orders.add(new Order(fieldName, Sort.Direction.ASC));
        return this;
    }

    public Order desc(String fieldName) {
        orders.add(new Order(fieldName, Sort.Direction.DESC));
        return this;
    }

    public Sort build() {
        if (orders.size() == 0) {
            return null;
        }
        List<Sort.Order> list = new ArrayList<>();
        for (Order order : orders) {
            if(order.getDirection().isAscending()){
                list.add(Sort.Order.asc(order.getFieldName()));
            }else {
                list.add(Sort.Order.desc(order.getFieldName()));
            }
        }
        return Sort.by(list);
    }

    private Order(String fieldName, Sort.Direction direction) {
        if (fieldName == null || "".equals(fieldName.trim())) {
            throw new IllegalArgumentException("FieldName must be not empty.");
        }
        this.fieldName = fieldName.trim();
        this.direction = direction;
    }

    public Order() {

    }

    public String getFieldName() {
        return fieldName;
    }

    public Sort.Direction getDirection() {
        return direction;
    }

}