package cn.com.qmth.examcloud.core.oe.admin.base.utils;

import java.util.List;

public abstract class BatchSetDataUtil<P> {
	public final void setDataForBatch(List<P> dataList, int batchSize) {
		if (dataList == null || dataList.size() == 0) {
			return;
		}
		if (dataList.size() <= batchSize) {
			setData(dataList);
		} else {
			int size = dataList.size();
			int len = batchSize;
			int count = (size + len - 1) / len;

			for (int i = 0; i < count; i++) {
				List<P> subList = dataList.subList(i * len, ((i + 1) * len > size ? size : len * (i + 1)));
				setData(subList);
			}
		}
	}

	public abstract void setData(List<P> dataList);
}
