package cn.com.qmth.examcloud.core.oe.admin.base.utils;

import java.lang.reflect.Field;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.Random;

import org.apache.commons.lang3.StringUtils;

import com.alibaba.fastjson.JSONObject;


/**
 * @author  	chenken
 * @date    	2017年12月13日 下午3:39:56
 * @company 	QMTH
 * @description CommonUtil.java
 */
public class CommonUtil {
	public static double nullToZero(Double score) {
        if (score == null) {
            return 0D;
        } else {
            return score;
        }
    }
	/**
	 * 计算number1 - number2之间的随机数
	 * @param number1
	 * @param number2
	 * @return
	 */
	public static int calculationRandomNumber(int number1,int number2){
		if(number1>number2){
			throw new RuntimeException("number1 must less than number2");
		}
		return (int)(Math.random()*(number2-number1+1)+number1);
	}


	/**
	 * 格式化日期精确到秒
	 * @param date	日期
	 * @param format yyyy-MM-dd  yyyy-MM-dd HH:mm:ss
	 * @return
	 */
	public static String getDateStrWithSecond(Date date){
		if(date == null){
			return null;
		}
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
		return sdf.format(date);
	}
	
	/**
	 * 格式化日期精确到日
	 * @param date	日期
	 * @param format yyyy-MM-dd  yyyy-MM-dd HH:mm:ss
	 * @return
	 */
	public static String getDateStrWithoutSecond(Date date){
		if(date == null){
			return null;
		}
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
		return sdf.format(date);
	}
	
	/**
	 * 生成随机数
	 * @param several  个数
	 * @return
	 */
	public static String makeRandomNum(int several){
		StringBuffer sb = new StringBuffer();
		for(int i = 0;i<several;i++){
			sb.append(new Random().nextInt(10));
		}
		return sb.toString();
	}
	
	/**
     * 重新排列 Integer数组
     * @param arr
     * @return
     */
	public static Integer[] reorderArray(Integer[] arr){
    	int temp;
		for(int i = 0;i<arr.length;i++){
		     int e=(int) Math.round((arr.length-1)*Math.random());
		     temp = arr[e];
		     arr[e] = arr[arr.length-1];
		     arr[arr.length-1] = temp;
		}
		return arr;
    }
	
	public static boolean isTrue(Object obj){
		if(obj == null){
			return false;
		}
		if(obj instanceof Boolean){
			return (boolean) obj;
		}else{
			return false;
		}
	}
	
    public static Map<String, Object> getKeyAndValue(Object obj) {
        Map<String, Object> map = new HashMap<String, Object>();
        // 得到类对象
        Class<?> userCla = (Class<?>) obj.getClass();
        /* 得到类中的所有属性集合 */
        Field[] fs = userCla.getDeclaredFields();
        for (int i = 0; i < fs.length; i++) {
            Field f = fs[i];
            f.setAccessible(true); // 设置些属性是可以访问的
            Object val = new Object();
            try {
                val = f.get(obj);
                // 得到此属性的值
                map.put(f.getName(), val);// 设置键值
            } catch (IllegalArgumentException e) {
                e.printStackTrace();
            } catch (IllegalAccessException e) {
                e.printStackTrace();
            }
        }
        System.out.println("单个对象的所有键值==反射==" + map.toString());
        return map;
    }
	
    /**
     * 判断字符串是不是json格式
     * @param content
     * @return
     */
    public static boolean isJson(String content) {
        try {
            JSONObject.parseObject(content);
            return true;
        } catch (Exception e) {
            return false;
        }
    }
    
    /**
     * 判断字符串是否为null，或者为 "null"
     * @param content
     * @return
     */
    public static boolean isBlank(String content){
    	if(StringUtils.isBlank(content) || "null".equals(content)){
    		return true;
    	}
    	return false;
    }
    
	public static void main(String[] args) {
		for(int i = 0;i<200;i++){
			System.out.println(i+":"+calculationRandomNumber(1,2));
		}
	}
}

