/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-09-12 09:55:02.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.base.utils;

public enum NewQuestionType {

    SINGLE_CHOICE("单选题", true),

    MULTIPLE_CHOICE("多选题", true),

    TRUE_OR_FALSE("判断题", true),

    FILL_UP("填空题", false),

    ESSAY("问答题", false),

    NESTED("套题", false);

    /**
     * 转换来源于题库的题型值
     */
    public static NewQuestionType convert(String value) {
        if (value == null) {
            return null;
        }
        if ("SINGLE_ANSWER_QUESTION".equals(value)) {
            return SINGLE_CHOICE;
        } else if ("MULTIPLE_ANSWER_QUESTION".equals(value)) {
            return MULTIPLE_CHOICE;
        } else if ("BOOL_ANSWER_QUESTION".equals(value)) {
            return TRUE_OR_FALSE;
        } else if ("FILL_BLANK_QUESTION".equals(value)) {
            return FILL_UP;
        } else if ("TEXT_ANSWER_QUESTION".equals(value)) {
            return ESSAY;
        } else if ("NESTED_ANSWER_QUESTION".equals(value)) {
            return NESTED;
        }
        return null;
    }

    private boolean objective;
    private String desc;

    NewQuestionType(String desc, boolean objective) {
        this.objective = objective;
        this.desc = desc;
    }

    public boolean isObjective() {
        return objective;
    }

    public String getDesc() {
        return desc;
    }

}