package cn.com.qmth.examcloud.core.oe.admin.base.utils;

import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

import org.apache.commons.collections4.CollectionUtils;

import cn.com.qmth.examcloud.api.commons.security.enums.RoleMeta;
import cn.com.qmth.examcloud.core.basic.api.bean.RoleBean;
import cn.com.qmth.examcloud.core.basic.api.bean.UserBean;


public class RoleUtil {

	public static boolean hasAnyRoles(UserBean accessUser, RoleMeta... roles) {
		List<RoleBean> roleList = accessUser.getRoleList();
		if (CollectionUtils.isEmpty(roleList)) {
			return false;
		}

		Set<String> roleCodes = roleList.stream().map(e -> e.getRoleCode()).collect(Collectors.toSet());
		for (RoleMeta role : roles) {
			if (roleCodes.contains(role.name())) {
				return true;
			}
		}

		return false;
	}


}
