package cn.com.qmth.examcloud.core.oe.admin.base.utils;

import com.esotericsoftware.reflectasm.ConstructorAccess;
import com.esotericsoftware.reflectasm.FieldAccess;
import org.apache.poi.ss.formula.functions.T;
import org.apache.poi.xssf.usermodel.XSSFRow;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

import java.io.IOException;
import java.io.InputStream;
import java.util.Iterator;
import java.util.function.Consumer;

/**
 * Created by zhengmin on 2016/8/19.
 */
public class RowIterator implements Iterator<T>{

    private Class<T> clazz;

    private XSSFWorkbook workbook;
    private XSSFSheet sheet;
    private int size = 0;
    private int times = 0;

    public RowIterator(InputStream inputStream,int sheetIndex,Class<T> clazz) throws IOException {
        this.clazz = clazz;
        this.workbook = new XSSFWorkbook(inputStream);
        this.sheet = workbook.getSheetAt(sheetIndex);
        this.size = sheet.getLastRowNum();
    }

    @Override
    public boolean hasNext() {
        return times <= size;
    }

    @Override
    public T next() {
        XSSFRow row = this.sheet.getRow(times);
        ConstructorAccess<T> access = ConstructorAccess.get(clazz);
        T instance = access.newInstance();
        FieldAccess fa = FieldAccess.get(clazz);
        fa.set(instance,0,row.getCell(0).getStringCellValue());
        times++;
        return instance;
    }

    @Override
    public void remove() {

    }

    @Override
    public void forEachRemaining(Consumer<? super T> action) {

    }

    public int getSize(){
        return this.size;
    }
}
