package cn.com.qmth.examcloud.core.oe.admin.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamCaptureEntity;

import java.util.List;

/**
 * @author chenken
 * @date 2018/8/15 10:23
 * @company QMTH
 * @description ExamCaptureEntityRepo
 */
@Repository
public interface ExamCaptureRepo extends JpaRepository<ExamCaptureEntity, Long>, JpaSpecificationExecutor<ExamCaptureEntity> {
	
	/**
	 * propagation = Propagation.REQUIRES_NEW 
	 * 原因:A事务运行中，B事务插入数据，A事务会出现不能读取最新数据的问题
	 * @param examRecordDataId
	 * @return
	 */
	@Transactional(propagation = Propagation.REQUIRES_NEW)
    public List<ExamCaptureEntity> findByExamRecordDataId(Long examRecordDataId);
    
    public ExamCaptureEntity findByExamRecordDataIdAndFileName(Long examRecordDataId,String fileName);

	public List<ExamCaptureEntity> findByExamRecordDataIdIn(List<Long> ids);
}
