package cn.com.qmth.examcloud.core.oe.admin.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamFaceLivenessVerifyEntity;

import java.util.List;

/**
 * @author chenken
 * @date 2018/8/15 10:08
 * @company QMTH
 * @description FaceVerifyEntityRepo
 */
@Repository
public interface ExamFaceLivenessVerifyRepo extends JpaRepository<ExamFaceLivenessVerifyEntity, Long>, JpaSpecificationExecutor<ExamFaceLivenessVerifyEntity> {
    /**
     * 使用examRecordId查询
     * @param examRecordDataId
     * @return
     */
    @Query(nativeQuery = true, value = "select * from ec_oe_exam_face_liveness_verify t where t.exam_record_data_id = ?1 and t.is_error = 0 order by id asc")
    public List<ExamFaceLivenessVerifyEntity> findByExamRecordDataIdOrderById(Long examRecordDataId);
    
    /**
     * 测试是否存在
     * @param examRecordDataId
     * @return
     */
    @Query(nativeQuery = true, value = "select 1 from ec_oe_exam_face_liveness_verify t where t.exam_record_data_id = ?1 and t.is_error = 0 limit 1")
    public Long countByExamRecordDataId(Long examRecordDataId);

    /**
     * 取出is_error=1的最新的一条
     * @param examRecordDataId
     * @return
     */
    @Query(nativeQuery = true, value = "select * from ec_oe_exam_face_liveness_verify t where t.exam_record_data_id = ?1 and t.is_error = 1 order by id desc limit 1")
    public ExamFaceLivenessVerifyEntity findErrorFaceVerifyByExamRecordDataId(Long examRecordDataId);
}
