package cn.com.qmth.examcloud.core.oe.admin.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordForMarkingEntity;

import javax.transaction.Transactional;

@Repository
public interface ExamRecordForMarkingRepo extends JpaRepository<ExamRecordForMarkingEntity, Long>, JpaSpecificationExecutor<ExamRecordForMarkingEntity> {
	@Query(nativeQuery = true, value = "select t.* from ec_oe_exam_record_4_marking t " +
			"where t.exam_id = ?1 and t.course_id =?2 and t.exam_student_id in (?3)")
	public List<ExamRecordForMarkingEntity> findByExamIdAndCourseIdAndExamStudentIds(Long examId,Long courseId,List<Long> examStudentIds);
	@Query(nativeQuery = true, value = "select t.* from ec_oe_exam_record_4_marking t " +
			"where t.exam_id = ?1 and t.course_id =?2 and t.exam_student_id in (?3) and (t.batch_num is null or t.batch_num!=?4)")
	public List<ExamRecordForMarkingEntity> findByExamIdAndCourseIdAndExamStudentIdsAndBatchNum(Long examId,Long courseId,List<Long> examStudentIds,String batchNum);
	public List<ExamRecordForMarkingEntity> findByExamIdAndCourseId(Long examId,Long courseId);
	
	
	public ExamRecordForMarkingEntity findByExamRecordDataId(Long examRecordDataId);
	
	/**
	 * 根据考生ID查询
     * 测试是否存在
     * @param examStudentId
     * @return
     */
    @Query(nativeQuery = true, value = "select 1 from ec_oe_exam_record_4_marking t where t.exam_student_id = ?1 limit 1")
    public Long countByExamStudentId(Long examStudentId);
	
    public ExamRecordForMarkingEntity findTopByExamStudentId(Long examStudentId);

	List<ExamRecordForMarkingEntity> findByExamId(Long examId);

	@Transactional
	@Modifying
	@Query(value = "update ec_oe_exam_record_4_marking set batch_num=?2 where id in (?1)",nativeQuery = true)
	void updateBatchNum(List<Long> idList, String batchNum);

	List<ExamRecordForMarkingEntity> findByExamStudentId(Long examStudentId);
}
