package cn.com.qmth.examcloud.core.oe.admin.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamScorePushQueue;

@Repository
public interface ExamScorePushQueueRepo extends JpaRepository<ExamScorePushQueue, Long>,JpaSpecificationExecutor<ExamScorePushQueue> {

	/**
	 * 查询可处理的记录,每次查询200条
	 * 失败次数不大于2
	 * @return
	 */
	@Query(nativeQuery = true, value = "select * from ec_oe_exam_score_push_queue where `status` IN ('PENDING','PROCESS_FAILED') and failed_times <=2 order by id asc limit 200")
	public List<ExamScorePushQueue> findExamScorePushQueue();
	
	public ExamScorePushQueue findByExamRecordDataId(Long examRecordDataId);
	
}
