package cn.com.qmth.examcloud.core.oe.admin.dao;


import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamingRecordEntity;

import java.util.List;

/**
 * @Description 正在进行中的考试
 * @Author lideyin
 * @Date 2019/8/26 10:36
 * @Version 1.0
 */
@Repository
public interface ExamingRecordRepo extends JpaRepository<ExamingRecordEntity, Long>, JpaSpecificationExecutor<ExamingRecordEntity> {
	/**
	 * 查找指定数量的考试中的记录
	 * @param startId
	 * @param limit
	 * @return
	 */
	@Query(value = "select * from ec_oe_examing_record where id>= ?1 order by id asc limit ?2",nativeQuery = true)
	List<ExamingRecordEntity> getLimitExamingRecords(Long startId, int limit);

	/**
	 * 根据studentId查询状态为"考试中"的在线考试记录
	 * @param studentId
	 * @return
	 */
	@Query(value= "select * from ec_oe_examing_record where student_id=?1 and exam_type<>'OFFLINE'", nativeQuery = true)
	ExamingRecordEntity findOnlineExamingRecord(Long studentId);

}