package cn.com.qmth.examcloud.core.oe.admin.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.FaceBiopsyEntity;

import javax.transaction.Transactional;

/**
 * @Description 人脸检测结果仓库
 * @Author lideyin
 * @Date 2019/7/17 18:58
 * @Version 1.0
 */
@Repository
public interface FaceBiopsyRepo extends JpaRepository<FaceBiopsyEntity, Long>, JpaSpecificationExecutor<FaceBiopsyEntity> {


    FaceBiopsyEntity findByExamRecordDataId(Long examRecordDataId);

    @Transactional
    @Modifying
    @Query(nativeQuery = true,
            value = "update ec_oe_exam_face_biopsy set result=?2,error_msg=?3 where exam_record_data_id=?1")
    void updateFaceBiopsyResult(Long examRecordDataId, boolean result, String errorMsg);
}
