package cn.com.qmth.examcloud.core.oe.admin.dao;


import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.HandInExamRecordEntity;

import java.util.List;

/**
 * 已交卷的考试记录仓库
 */
@Repository
public interface HandInExamRecordRepo extends JpaRepository<HandInExamRecordEntity, Long>, JpaSpecificationExecutor<HandInExamRecordEntity> {
	/**
	 * 查找指定数量已交卷的考试记录
	 * @param startId
	 * @param limit
	 * @return
	 */
	@Query(value = "select * from ec_oe_hand_in_exam_record where id>= ?1 order by id asc limit ?2",nativeQuery = true)
	List<HandInExamRecordEntity> getLimitHandInExamRecords(Long startId, int limit);
}