package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * @author chenken
 * @date 2018/8/15 10:19
 * @company QMTH
 * @description ExamCaptureEntity
 */
@Entity
@Table(name = "ec_oe_exam_capture_camera_info", indexes = {
        @Index(name = "IDX_OE_CCI_001", columnList = "examRecordDataId"),
        @Index(name = "IDX_OE_CCI_002", columnList = "name"),
        @Index(name = "IDX_OE_CCI_003", columnList = "examRecordDataId,pid,vid,name")
})
public class ExamCaptureCameraInfoEntity extends JpaEntity {


    /**
	 * 
	 */
	private static final long serialVersionUID = 5768699298680442068L;

	@Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

	@Column(nullable = false)
    private Long examRecordDataId;

    @Column(name = "virtual_camera",nullable = false)
    private Boolean virtualCamera;

    @Column(name = "detail", length = 2000)
    private String detail;
    
    @Column(name = "pid", length = 200,nullable = false)
    private String pid;
    
    @Column(name = "vid", length = 200,nullable = false)
    private String vid;
    
    @Column(name = "name", length = 200,nullable = false)
    private String name;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}


	public Boolean getVirtualCamera() {
		return virtualCamera;
	}

	public void setVirtualCamera(Boolean virtualCamera) {
		this.virtualCamera = virtualCamera;
	}

	public String getDetail() {
		return detail;
	}

	public void setDetail(String detail) {
		this.detail = detail;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getVid() {
		return vid;
	}

	public void setVid(String vid) {
		this.vid = vid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}


}
