package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;
import org.hibernate.annotations.DynamicInsert;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description 断点续考记录表
 * @Author lideyin
 * @Date 2020/8/13 9:44
 * @Version 1.0
 */
@Entity
@Table(name = "ec_oe_exam_continued_record", indexes = {
        @Index(name = "IDX_E_O_E_C_R_001", columnList = "examRecordDataId"),
})
@DynamicInsert
public class ExamContinuedRecordEntity extends WithIdJpaEntity {
    private static final long serialVersionUID = 1559727365523696406L;

    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 断点续考时间
     */
    private Date continuedTime;

    /**
     * 开始答题时间
     */
    private Date startTime;

    /**
     * 考试已用时长(毫秒)
     */
    private long usedExamTime;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Date getContinuedTime() {
        return continuedTime;
    }

    public void setContinuedTime(Date continuedTime) {
        this.continuedTime = continuedTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public long getUsedExamTime() {
        return usedExamTime;
    }

    public void setUsedExamTime(long usedExamTime) {
        this.usedExamTime = usedExamTime;
    }
}
