package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import cn.com.qmth.examcloud.core.oe.admin.dao.enums.FaceLiveVerifyStatus;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import java.util.Date;

import javax.persistence.*;

/**
 * 人脸活体验证结果表（支持C端客户端活检）
 */
@Entity
@Table(name = "ec_oe_exam_face_live_verify", indexes = {
        @Index(name = "IDX_OE_FLV_01", columnList = "examRecordDataId"),
        @Index(name = "IDX_OE_FLV_02", columnList = "status")
})
public class ExamFaceLiveVerifyEntity extends JpaEntity {

    private static final long serialVersionUID = -3428631813990503829L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 考试记录ID
     */
    @Column(nullable = false)
    private Long examRecordDataId;

    /**
     * 验证状态
     */
    @Enumerated(EnumType.STRING)
    @Column(length = 50, nullable = false)
    private FaceLiveVerifyStatus status;

    /**
     * 动作验证列表，JSON格式
     */
    @Column(length = 2000)
    private String actions;

    /**
     * 人脸数量
     */
    private Integer faceCount;

    /**
     * 相似度分数
     */
    private Double similarity;

    /**
     * 真实性分数
     */
    private Double realness;

    /**
     * 处理耗时（毫秒）
     */
    private Long processTime;

    /**
     * 错误信息
     */
    @Column(length = 500)
    private String errorMsg;
    
	@Column(nullable = false, updatable = false)
	@Temporal(TemporalType.TIMESTAMP)
	private Date creationTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public FaceLiveVerifyStatus getStatus() {
        return status;
    }

    public void setStatus(FaceLiveVerifyStatus status) {
        this.status = status;
    }

    public String getActions() {
        return actions;
    }

    public void setActions(String actions) {
        this.actions = actions;
    }

    public Integer getFaceCount() {
        return faceCount;
    }

    public void setFaceCount(Integer faceCount) {
        this.faceCount = faceCount;
    }

    public Double getSimilarity() {
        return similarity;
    }

    public void setSimilarity(Double similarity) {
        this.similarity = similarity;
    }

    public Double getRealness() {
        return realness;
    }

    public void setRealness(Double realness) {
        this.realness = realness;
    }

    public Long getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Long processTime) {
        this.processTime = processTime;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

	public Date getCreationTime() {
		return creationTime;
	}

	public void setCreationTime(Date creationTime) {
		this.creationTime = creationTime;
	}

}
