package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import java.util.Date;

import javax.persistence.*;

import cn.com.qmth.examcloud.core.oe.admin.dao.enums.FaceVerifyResult;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;


/**
 * @author  	chenken
 * @date    	2018年2月5日 上午8:28:34
 * @company 	QMTH
 * @description 人脸活体检测
 */
@Entity
@Table(name="ec_oe_exam_face_liveness_verify",indexes ={
@Index(name = "IDX_E_O_E_F_L_V_001",columnList = "examRecordDataId, isError")
} )
public class ExamFaceLivenessVerifyEntity extends JpaEntity{
	
	private static final long serialVersionUID = -3428631813990503829L;
	/**
	 * 主键ID
	 */
	@Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;
	/**
	 * 考试记录 DataID
	 */
	private Long examRecordDataId;
	/**
	 * 验证考试时间
	 */
	private Date startTime;
	/**
	 * 验证使用时间
	 */
	private Long usedTime;
	/**
	 * faceId返回json:notify_url返回
	 * 网页端活体检测及比对返回值说明:https://faceid.com/pages/documents/5680508
	 */
	@Column(length = 2000)
	private String resultJson;
	/**
	 * 验证结果
	 */
	@Enumerated(EnumType.STRING)
	private FaceVerifyResult verifyResult;
	
	/**
	 * https://api.megvii.com/faceid/liveness/v2/get_result 
	 * 用于活体结果反查
	 */
	private String bizId;
	
	/**
	 * 发生错误
	 */
	private Boolean isError;
	/**
	 * 错误信息
	 */
	@Column(length = 2000)
	private String errorMsg;
	
	/**
	 * 当前记录操作次数
	 */
	private Integer operateNum;
	
	public ExamFaceLivenessVerifyEntity(){}
	
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Date getStartTime() {
		return startTime;
	}
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	public Long getUsedTime() {
		return usedTime;
	}
	public void setUsedTime(Long usedTime) {
		this.usedTime = usedTime;
	}
	public String getResultJson() {
		return resultJson;
	}
	public void setResultJson(String resultJson) {
		this.resultJson = resultJson;
	}
	public FaceVerifyResult getVerifyResult() {
		return verifyResult;
	}
	public void setVerifyResult(FaceVerifyResult verifyResult) {
		this.verifyResult = verifyResult;
	}

	public String getBizId() {
		return bizId;
	}

	public void setBizId(String bizId) {
		this.bizId = bizId;
	}

	public Boolean getIsError() {
		return isError;
	}

	public void setIsError(Boolean isError) {
		this.isError = isError;
	}

	public String getErrorMsg() {
		return errorMsg;
	}

	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}

	public Integer getOperateNum() {
		return operateNum;
	}

	public void setOperateNum(Integer operateNum) {
		this.operateNum = operateNum;
	}
	
}

