package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.core.oe.admin.dao.enums.FileAnswerAcknowledgeStatus;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;

@Entity
@Table(name = "ec_oe_exam_file_answer_temp", indexes = {
		@Index(name = "IDX_E_O_E_F_A_T_001", columnList = "examRecordDataId,questionOrder,filePath",unique = true) })
public class ExamFileAnswerTempEntity extends JpaEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2418980939627339367L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;
	@Column(nullable = false)
	private Long examRecordDataId;
	@Column( nullable = false)
	private Long examStudentId;
	@Column(nullable = false)
	private Integer questionOrder;
	@Column(nullable = false,length = 1000)
	private String filePath;

	@Enumerated(EnumType.STRING)
	@Column(name = "status", nullable = false)
	private FileAnswerAcknowledgeStatus status;

	private String transferFileType;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}


	public Integer getQuestionOrder() {
		return questionOrder;
	}

	public void setQuestionOrder(Integer questionOrder) {
		this.questionOrder = questionOrder;
	}

	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

	public FileAnswerAcknowledgeStatus getStatus() {
		return status;
	}

	public void setStatus(FileAnswerAcknowledgeStatus status) {
		this.status = status;
	}

	public String getTransferFileType() {
		return transferFileType;
	}

	public void setTransferFileType(String transferFileType) {
		this.transferFileType = transferFileType;
	}
}
