package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import java.io.Serializable;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Id;

import org.springframework.data.mongodb.core.mapping.Document;

import cn.com.qmth.examcloud.question.commons.core.question.AnswerType;
import cn.com.qmth.examcloud.question.commons.core.question.QuestionType;

/**
 * @author chenken
 * @date 2018/8/17 10:18
 * @company QMTH
 * @description 考生单题作答记录
 */
@Document(collection="examRecordQuestion")
public class ExamQuestionEntity implements Serializable{

    /**
	 * 
	 */
	private static final long serialVersionUID = -6141069483774400912L;
	
	@Id
	private String id;
	/**
	 * 考试记录Data Id
	 */
    private Long examRecordDataId;
    /**
     * 大题号
     */
    private Integer mainNumber;
    /**
     * 原题ID
     */
    private String questionId;
    /**
     * 顺序
     */
    private Integer order;
    /**
     * 小题分数
     */
    private Double questionScore;
    /**
     * 小题类型
     */
    private QuestionType questionType;
    /**
     * 标准答案
     */
    private String correctAnswer;
    /**
     * 考生作答
     */
    private String studentAnswer;
    /**
     * 学生小题得分
     */
    private Double studentScore;
    /**
     * 是否作答
     */
    private Boolean isAnswer;
    /**
     * 是否标记
     */
    private Boolean isSign;
    
    /**
	 * 选项排序值
	 */
	private Integer[] optionPermutation;
	
	/**
	 * 音频播放次数
	 */
	private String audioPlayTimes;
	/**
	 * 题目作答类型
	 */
	@Enumerated(EnumType.STRING)
	private AnswerType answerType;	
    
	public ExamQuestionEntity() {}
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public Long getExamRecordDataId() {
		return examRecordDataId;
	}
	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}
	public Integer getMainNumber() {
		return mainNumber;
	}
	/**
	 * 设置 大题号
	 * @param mainNumber
	 */
	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}
	public String getQuestionId() {
		return questionId;
	}
	/**
	 * 设置题库试题ID
	 * @param questionId
	 */
	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}
	public Integer getOrder() {
		return order;
	}
	/**
	 * 设置小题号
	 * @param order
	 */
	public void setOrder(Integer order) {
		this.order = order;
	}
	public String getStudentAnswer() {
		return studentAnswer;
	}
	public void setStudentAnswer(String studentAnswer) {
		this.studentAnswer = studentAnswer;
	}
	public Double getStudentScore() {
		return studentScore;
	}
	/**
	 * 设置考生得分
	 * @param studentScore
	 */
	public void setStudentScore(Double studentScore) {
		this.studentScore = studentScore;
	}
	public Double getQuestionScore() {
		return questionScore;
	}
	/**
	 * 设置试题分数
	 * @param questionScore
	 */
	public void setQuestionScore(Double questionScore) {
		this.questionScore = questionScore;
	}
	public QuestionType getQuestionType() {
		return questionType;
	}
	/**
	 * 设置题型
	 * @param questionType
	 */
	public void setQuestionType(QuestionType questionType) {
		this.questionType = questionType;
	}
	public Boolean getIsAnswer() {
		return isAnswer;
	}
	public void setIsAnswer(Boolean isAnswer) {
		this.isAnswer = isAnswer;
	}
	public Boolean getIsSign() {
		return isSign;
	}
	public void setIsSign(Boolean isSign) {
		this.isSign = isSign;
	}

	public String getCorrectAnswer() {
		return correctAnswer;
	}

	public void setCorrectAnswer(String correctAnswer) {
		this.correctAnswer = correctAnswer;
	}

	public Integer[] getOptionPermutation() {
		return optionPermutation;
	}

	public void setOptionPermutation(Integer[] optionPermutation) {
		this.optionPermutation = optionPermutation;
	}

	public String getAudioPlayTimes() {
		return audioPlayTimes;
	}

	public void setAudioPlayTimes(String audioPlayTimes) {
		this.audioPlayTimes = audioPlayTimes;
	}

	public AnswerType getAnswerType() {
		return answerType;
	}

	public void setAnswerType(AnswerType answerType) {
		this.answerType = answerType;
	}

	
	
}
