package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import javax.persistence.*;

/**
 * @Description 考试记录作答文件
 * @Author lideyin
 * @Date 2020/7/13 16:10
 * @Version 1.0
 */
@Entity
@Table(name = "ec_oe_exam_record_file_answer", indexes = {
        @Index(name = "IDX_E_O_E_R_F_A_001", columnList = "examRecordDataId")})
public class ExamRecordFileAnswerEntity extends JpaEntity {

    /**
     *
     */
    private static final long serialVersionUID = -1507040421795100741L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 文件路径:离线考试
     */
    private String fileUrl;
    /**
     * 文件名称:离线考试
     */
    private String fileName;

    /**
     * 原始文件名称
     */
    private String originalFileName;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 文件后缀名
     */
    private String suffix;

    /**
     * 预留扩展属性
     */
    private String properties;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String offlineFileUrl) {
        this.fileUrl = offlineFileUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String offlineFileName) {
        this.fileName = offlineFileName;
    }

    public String getProperties() {
        return properties;
    }

    public void setProperties(String properties) {
        this.properties = properties;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getSuffix() {
        return suffix;
    }

    public void setSuffix(String suffix) {
        this.suffix = suffix;
    }

    public String getOriginalFileName() {
        return originalFileName;
    }

    public void setOriginalFileName(String originalFileName) {
        this.originalFileName = originalFileName;
    }
}
