package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import javax.persistence.*;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * @author chenken
 * @date 2018年9月11日 下午3:16:16
 * @company QMTH
 * @description 考试记录信息(阅卷)
 */
@Entity
@Table(name = "ec_oe_exam_record_4_marking", indexes = {
        @Index(name = "IDX_E_O_E_R_4_M_001", columnList = "examRecordDataId", unique = true),
        @Index(name = "IDX_E_O_E_R_4_M_002", columnList = "examId"),
        @Index(name = "IDX_E_O_E_R_4_M_003", columnList = "examStudentId")})
public class ExamRecordForMarkingEntity extends JpaEntity {

    /**
     *
     */
    private static final long serialVersionUID = -1507040421795100741L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 原始试卷ID
     */
    private String basePaperId;
    /**
     * 课程Id
     */
    private Long courseId;
    /**
     * 试卷类型 A、B、O
     */
    private String paperType;
    /**
     * 考生ID
     */
    private Long examStudentId;

    /**
     * 客观题得分
     */
    private Double objectiveScore;

    /**
     * 主观题作答长度总和
     */
    private Integer subjectiveAnswerLength;

    /**
     * 批次号
     */
    private String batchNum;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Integer getSubjectiveAnswerLength() {
        return subjectiveAnswerLength;
    }

    public void setSubjectiveAnswerLength(Integer subjectiveAnswerLength) {
        this.subjectiveAnswerLength = subjectiveAnswerLength;
    }

    public String getBasePaperId() {
        return basePaperId;
    }

    public void setBasePaperId(String basePaperId) {
        this.basePaperId = basePaperId;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getBatchNum() {
        return batchNum;
    }

    public void setBatchNum(String batchNum) {
        this.batchNum = batchNum;
    }
}
