package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import org.springframework.data.mongodb.core.mapping.Document;

import cn.com.qmth.examcloud.question.commons.core.question.AnswerType;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author chenken
 * @date 2018年9月3日 上午10:46:06
 * @company QMTH
 * @description 考试作答试题集合
 */
@Document(collection = "examRecordQuestions")
public class ExamRecordQuestionsEntity implements Serializable {
    private static final long serialVersionUID = -1688201571728312142L;

    @Id
    private String id;

    private Long examRecordDataId;

    private Date creationTime;

    private List<ExamQuestionEntity> examQuestionEntities;
    
    /**
	 * 题目作答类型
	 */
	@Enumerated(EnumType.STRING)
	private AnswerType answerType;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public List<ExamQuestionEntity> getExamQuestionEntities() {
        return examQuestionEntities;
    }

    public void setExamQuestionEntities(
            List<ExamQuestionEntity> examQuestionEntities) {
        this.examQuestionEntities = examQuestionEntities;
    }

}