package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import javax.persistence.*;

import org.hibernate.annotations.DynamicInsert;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * @author chenken
 * @date 2018/8/15 9:49
 * @company QMTH
 * @description 考试成绩
 */
@Entity
@Table(name = "ec_oe_exam_score", indexes = {
        @Index(name = "IDX_E_O_E_S_001", columnList = "examRecordDataId", unique = true)
})
@DynamicInsert
public class ExamScoreEntity extends JpaEntity {

    /**
     *
     */
    private static final long serialVersionUID = 5848131928610104861L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 考试记录
     */
    private Long examRecordDataId;

    /**
     * 总分
     */
    private Double totalScore;

    /**
     * 客观题得分总分
     */
    private Double objectiveScore;

    /**
     * 客观题答对的比率
     * (客观题答对的题数/客观题总题数)*100  取2位小数
     */
    private Double objectiveAccuracy;

    /**
     * 主观题得分总分
     */
    private Double subjectiveScore;

    /**
     * 答题正确率
     */
    private Double succPercent;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getObjectiveAccuracy() {
        return objectiveAccuracy;
    }

    public void setObjectiveAccuracy(Double objectiveAccuracy) {
        this.objectiveAccuracy = objectiveAccuracy;
    }

    public Double getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(Double subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public Double getSuccPercent() {
        return succPercent;
    }

    public void setSuccPercent(Double succPercent) {
        this.succPercent = succPercent;
    }
}
