package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import javax.persistence.*;

import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExamScoreQueueStatus;

import java.io.Serializable;
import java.util.Date;

/**
 * @author chenken
 * @date 2018年9月8日 上午10:30:27
 * @company QMTH
 * @description 分数推送队列表
 */
@Entity
@Table(name = "ec_oe_exam_score_push_queue", indexes = {
        @Index(name = "IDX_E_O_E_S_P_Q_001", columnList = "status"),
        @Index(name = "IDX_E_O_E_S_P_Q_002", columnList = "examRecordDataId", unique = true),
        @Index(name = "IDX_E_O_E_S_P_Q_003", columnList = "examScoreId", unique = true),})
public class ExamScorePushQueue implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = -2198261762514432620L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 考试ID
     */
    private Long examId;

    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 分数ID
     */
    private Long examScoreId;

    /**
     * 数据状态
     */
    @Enumerated(EnumType.STRING)
    private ExamScoreQueueStatus status;

    /**
     * 顶级机构ID
     */
    private Long rootOrgId;

    /**
     * 推送分数服务名称
     */
    private String serviceName;

    /**
     * 错误信息
     */
    @Column(length = 1500)
    private String errorMsg;

    private Integer failedTimes;

    @Column(length = 1000)
    private String successMsg;

    private Date createTime;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamScoreId() {
        return examScoreId;
    }

    public void setExamScoreId(Long examScoreId) {
        this.examScoreId = examScoreId;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public ExamScoreQueueStatus getStatus() {
        return status;
    }

    public void setStatus(ExamScoreQueueStatus status) {
        this.status = status;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getSuccessMsg() {
        return successMsg;
    }

    public void setSuccessMsg(String successMsg) {
        this.successMsg = successMsg;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getFailedTimes() {
        return failedTimes;
    }

    public void setFailedTimes(Integer failedTimes) {
        this.failedTimes = failedTimes;
    }

}
