package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import javax.persistence.*;

/**
 * 考试统计信息
 */
@Entity
@Table(name = "ec_oe_exam_statistic", indexes = {
        @Index(name = "IDX_OE_ES_001", columnList = "examId,courseId,orgId", unique = true)
})
public class ExamStatisticEntity extends JpaEntity {

    private static final long serialVersionUID = 5848131928610104861L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 考试ID
     */
    @Column(nullable = false)
    private Long examId;

    /**
     * 课程ID
     */
    @Column(nullable = false)
    private Long courseId;

    /**
     * 中心ID
     */
    @Column(nullable = false)
    private Long orgId;

    /**
     * 应考人数
     */
    @Column(nullable = false)
    private Integer allCount;

    /**
     * 实考人数
     */
    @Column(nullable = false)
    private Integer finishCount;

    /**
     * （成绩）及格人数
     */
    @Column(nullable = false)
    private Integer passScoreCount;

    /**
     * （成绩）优秀人数
     */
    @Column(nullable = false)
    private Integer goodScoreCount;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Integer getAllCount() {
        return allCount;
    }

    public void setAllCount(Integer allCount) {
        this.allCount = allCount;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public Integer getPassScoreCount() {
        return passScoreCount;
    }

    public void setPassScoreCount(Integer passScoreCount) {
        this.passScoreCount = passScoreCount;
    }

    public Integer getGoodScoreCount() {
        return goodScoreCount;
    }

    public void setGoodScoreCount(Integer goodScoreCount) {
        this.goodScoreCount = goodScoreCount;
    }

}
