package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;
import org.hibernate.annotations.DynamicInsert;

import javax.persistence.*;

/**
 * @Description 网考同步抓拍表
 * @Author lideyin
 * @Date 2019/12/6 16:07
 * @Version 1.0
 */
@Entity
@Table(name = "ec_oe_exam_sync_capture", indexes = {
        @Index(name = "IDX_E_O_E_C_001", columnList = "examRecordDataId, fileName", unique = true),
        @Index(name = "IDX_E_O_E_C_002", columnList = "examRecordDataId")
})
@DynamicInsert
public class ExamSyncCaptureEntity extends JpaEntity {

    /**
     *
     */
    private static final long serialVersionUID = -6162329876793785782L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * ec_oe_exam_record_data  ID
     */
    private Long examRecordDataId;

    /**
     * 文件URL
     */
    private String fileUrl;

    private String fileName;

    /**
     * 比较是否通过
     */
    @Column(name = "is_pass")
    private Boolean isPass;

    /**
     * 人脸比较返回信息
     */
    @Column(name = "face_compare_result", length = 2000)
    private String faceCompareResult;

    /**
     * 是否有陌生人
     * 就是摄像头拍到不止考生一人
     */
    @Column(name = "is_stranger")
    private Boolean isStranger;

    /**
     * 百度人脸关键点坐标结果
     */
    @Column(name = "landmark", length = 4000)
    private String landmark;

    /**
     * 百度在线活体检测结果
     */
    @Column(name = "faceliveness_result", length = 2000)
    private String facelivenessResult;

    /**
     * 从进入队列到处理完成的时间
     */
    private Long usedTime;

    /**
     * 从开始处理到处理完成的时间
     */
    private Long processTime;


    /**
     * 是否存在虚拟摄像头
     */
    @Column(name = "has_virtual_camera")
    private Boolean hasVirtualCamera;

    /**
     * 摄像头信息
     */
    @Column(name = "camera_infos", length = 800)
    private String cameraInfos;

    /**
     * 其他信息
     */
    @Column(name = "ext_msg", length = 800)
    private String extMsg;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFaceCompareResult() {
        return faceCompareResult;
    }

    public void setFaceCompareResult(String faceCompareResult) {
        this.faceCompareResult = faceCompareResult;
    }

    public Boolean getIsPass() {
        return isPass;
    }

    public void setIsPass(Boolean isPass) {
        this.isPass = isPass;
    }

    public Boolean getIsStranger() {
        return isStranger;
    }

    public void setIsStranger(Boolean isStranger) {
        this.isStranger = isStranger;
    }

    public String getLandmark() {
        return landmark;
    }

    public void setLandmark(String landmark) {
        this.landmark = landmark;
    }

    public Long getUsedTime() {
        return usedTime;
    }

    public void setUsedTime(Long usedTime) {
        this.usedTime = usedTime;
    }

    public String getFacelivenessResult() {
        return facelivenessResult;
    }

    public void setFacelivenessResult(String facelivenessResult) {
        this.facelivenessResult = facelivenessResult;
    }

    public Long getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Long processTime) {
        this.processTime = processTime;
    }

    public Boolean getHasVirtualCamera() {
        return hasVirtualCamera;
    }

    public void setHasVirtualCamera(Boolean hasVirtualCamera) {
        this.hasVirtualCamera = hasVirtualCamera;
    }

    public String getCameraInfos() {
        return cameraInfos;
    }

    public void setCameraInfos(String cameraInfos) {
        this.cameraInfos = cameraInfos;
    }

    public String getExtMsg() {
        return extMsg;
    }

    public void setExtMsg(String extMsg) {
        this.extMsg = extMsg;
    }

}
