package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import cn.com.qmth.examcloud.api.commons.enums.ExamType;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import javax.persistence.*;

/**
 * @Description 正在进行中的考试记录
 * @Author lideyin
 * @Date 2019/8/23 17:10
 * @Version 1.0
 */
@Entity
@Table(name = "ec_oe_examing_record", indexes = {
        @Index(name = "IDX_E_O_E_R_001", columnList = "examRecordDataId"),
        @Index(name="IDX_E_O_E_R_002",columnList = "studentId",unique = true),
        @Index(name="IDX_E_O_E_R_003",columnList = "examType")
})
public class ExamingRecordEntity extends JpaEntity {

    private static final long serialVersionUID = 4101954661852038672L;
    /**
     * 考试记录id
     */
    @Id
    private Long id;

    /**
     * 考试记录dataId
     */
    @Column(nullable = false)
    private Long examRecordDataId;
    /**
     * 学生ID
     */
    @Column(nullable = false)
    private Long studentId;

    /**
     * 是否达到最大断点限制
     */
    private Boolean isExceed;

    /**
     * 断点续考次数
     */
    private Integer continuedCount;

    /**
     * 是否断点续考
     */
    @Column(name = "is_continued")
    private Boolean isContinued;

    /**
     * 考试类型
     */
    @Column(length = 20)
    @Enumerated(EnumType.STRING)
    private ExamType examType;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }
    public Boolean getIsExceed() {
        return isExceed;
    }

    public void setIsExceed(Boolean isExceed) {
        this.isExceed = isExceed;
    }

    public Boolean getIsContinued() {
        return isContinued;
    }

    public void setIsContinued(Boolean isContinued) {
        this.isContinued = isContinued;
    }

    public Integer getContinuedCount() {
        return continuedCount;
    }

    public void setContinuedCount(Integer continuedCount) {
        this.continuedCount = continuedCount;
    }

    public ExamType getExamType() {
        return examType;
    }

    public void setExamType(ExamType examType) {
        this.examType = examType;
    }
}