package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExportTaskStatus;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExportTaskType;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * 导出任务表
 */
@Entity
@Table(name = "ec_oe_export_task", indexes = {
        @Index(name = "IDX_OE_ET_001", columnList = "rootOrgId"),
        @Index(name = "IDX_OE_ET_002", columnList = "examId"),
        @Index(name = "IDX_OE_ET_003", columnList = "type"),
        @Index(name = "IDX_OE_ET_004", columnList = "status")})
public class ExportTaskEntity extends JpaEntity {

    private static final long serialVersionUID = 4853280464208226631L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 导出任务类型
     */
    @Enumerated(EnumType.STRING)
    @Column(length = 50, nullable = false)
    private ExportTaskType type;

    /**
     * 导出任务状态
     */
    @Enumerated(EnumType.STRING)
    @Column(length = 50, nullable = false)
    private ExportTaskStatus status;

    /**
     * 任务状态信息
     */
    @Column(length = 500)
    private String statusMsg;

    /**
     * 顶级机构
     */
    @Column(nullable = false)
    private Long rootOrgId;

    /**
     * 考试ID
     */
    @Column
    private Long examId;

    /**
     * 文件路径
     */
    @Column
    private String filePath;
    
    /**
     * 创建人
     */
    @Column
    private Long creator;
    
    /**
     * 导出的参数
     */
    @Column(length = 1000)
    private String exportParam;
    
    /**
     * 开始处理时间
     */
    @Column
	@Temporal(TemporalType.TIMESTAMP)
	private Date startTime;
    
    /**
     * 结束处理时间
     */
    @Column
	@Temporal(TemporalType.TIMESTAMP)
	private Date endTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public ExportTaskType getType() {
        return type;
    }

    public void setType(ExportTaskType type) {
        this.type = type;
    }

    public ExportTaskStatus getStatus() {
        return status;
    }

    public void setStatus(ExportTaskStatus status) {
        this.status = status;
    }

    public String getStatusMsg() {
        return statusMsg;
    }

    public void setStatusMsg(String statusMsg) {
        this.statusMsg = statusMsg;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

	public Long getCreator() {
		return creator;
	}

	public void setCreator(Long creator) {
		this.creator = creator;
	}

	public String getExportParam() {
		return exportParam;
	}

	public void setExportParam(String exportParam) {
		this.exportParam = exportParam;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
    
    
}