package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * @Description 人脸活体检测结果实体
 * @Author lideyin
 * @Date 2019/7/17 15:15
 * @Version 1.0
 */
@Entity
@Table(name = "EC_OE_EXAM_FACE_BIOPSY", indexes = {
        @Index(name = "IDX_E_F_B_001001", columnList = "examRecordDataId", unique = true)
})
public class FaceBiopsyEntity extends WithIdJpaEntity {
    /**
     * 组织机构id
     */
    @Column(nullable = false)
    private Long rootOrgId;
    /**
     * 考试记录id
     */
    @Column(nullable = false)
    private Long examRecordDataId;
    /**
     * 检测结果
     */
    private Boolean result;

    /**
     * 已检测次数
     */
    private int verifiedTimes;
    /**
     * 错误信息
     */
    @Column(length = 500)
    private String errorMsg;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public int getVerifiedTimes() {
        return verifiedTimes;
    }

    public void setVerifiedTimes(int verifiedTimes) {
        this.verifiedTimes = verifiedTimes;
    }
}
