package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import cn.com.qmth.examcloud.support.enums.DataCategory;
import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;

import javax.persistence.*;

/**
 * @Description 违纪类型
 * @Author lideyin
 * @Date 2020/2/20 15:06
 * @Version 1.0
 */
@Entity
@Table(name = "EC_OE_ILLEGALLY_TYPE", indexes = {
        @Index(name = "IDX_E_O_I_T_001", columnList = "rootOrgId,code", unique = true)})
public class IllegallyTypeEntity extends WithIdJpaEntity {
    private static final long serialVersionUID = 2612362994854920896L;

    @Column(nullable = false)
    private String code;

    @Column(nullable = false)
    private String name;

    @Column(nullable = false)
    private Long rootOrgId;

    @Column(nullable = false)
    private Boolean enable;

    /**
     * 排序号
     */
    @Column(nullable = false)
    private Integer sortNo;

    /**
     * 数据分类
     */
    @Column(nullable = false)
    @Enumerated(EnumType.STRING)
    private DataCategory dataCategory;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public DataCategory getDataCategory() {
        return dataCategory;
    }

    public void setDataCategory(DataCategory dataCategory) {
        this.dataCategory = dataCategory;
    }

    public Integer getSortNo() {
        return sortNo;
    }

    public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
    }
}
