/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-23 10:51:03.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.dao.enums;

/**
 * 课程层次
 *
 * @author: QMTH
 * @since: 2018/8/23
 */
public enum CourseLevel {
    ZSB("专升本"),
    GQZ("高起专"),
    GQB("高起本"),
    ALL("不限");

    private String title;

    public static CourseLevel getCourseLevel(String str) {
        for (CourseLevel element : CourseLevel.values()) {
            if (element.name().equals(str)) {
                return element;
            }
            if (element.getTitle().equals(str)) {
                return element;
            }
        }
        return CourseLevel.ALL;
    }

    public static String getCourseLevelTitle(String str) {
        return getCourseLevel(str).getTitle();
    }

    CourseLevel(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

}