/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-27 16:20:17.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamAuditEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.UserDataRules;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit.ExamAuditInfo;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit.ExamAuditQuery;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit.RedoAuditInfo;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * 考试记录审核相关接口
 *
 * @author: QMTH
 * @since: 2018/8/15
 */
public interface ExamAuditService {

    /**
     * 查询监考已审列表(分页)
     *
     * @param query
     * @return
     */
    Page<ExamAuditInfo> getExamAuditList(UserDataRules uds,ExamAuditQuery query);



    /**
     * 获取审核信息
     *
     * @param examRecordDataId
     * @return
     */
    ExamAuditEntity getExamAuditByExamRecordDataId(Long examRecordDataId);

    /**
     * 监考待审-批量审核
     *
     * @param examRecordDataIds
     * @param isPass
     * @param user
     */
    void batchAudit(List<Long> examRecordDataIds, Boolean isPass, User user);

    /**
     * 单个审核
     *
     * @param examRecordDataId
     * @param isPass
     * @param disciplineDetail
     * @param disciplineType
     * @param illegallyTypeId
     */
    void singleAudit(Long examRecordDataId, Boolean isPass, String disciplineDetail, String disciplineType, User user, Long illegallyTypeId);

    /**
     * 重新审核
     *
     * @param redoAuditInfo
     * @param user
     */
    void redoAudit(RedoAuditInfo redoAuditInfo, User user);

    /**
     * 活体检测失败，系统审核
     *
     * @param examRecordDataId
     * @param rootOrgId
     */
    void saveExamAuditByFaceVerifyFailed(Long examRecordDataId, Long rootOrgId);

    /**
     * 抓拍照片为0，系统审核
     *
     * @param examRecordDataId
     */
    void saveExamAuditByNoPhoto(Long examRecordDataId);

    void saveHeaderWarnAudit(Long realExamRecordDataId);

    void saveExamAuditForIllegalClient(Long realExamRecordDataId, String reason);

	void saveExceedMaxSwitchScreenCount(Long realExamRecordDataId);

	List<ExamAuditInfo> getExamAudit(UserDataRules uds, ExamAuditQuery query);



	boolean updateExamAuditByAllPass(Long examRecordDataId);

}
