package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamQuestionEntity;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordDataEntity;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordQuestionsEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.SubjectiveQuestionScoreInfo;
import cn.com.qmth.examcloud.question.commons.core.paper.DefaultPaper;

import java.util.List;

public interface ExamRecordQuestionsService {

    /**
     * 获取考生主观题答案
     *
     * @param examRecordDataId 考试记录ID
     * @return
     */
    List<ExamQuestionEntity> querySubjectiveAnswerList(Long examRecordDataId);

    /**
     * 保存主观题得分
     *
     * @param subjectiveQuestionScoreInfoList
     */
    void saveSubjectiveQuestionScore(Long examRecordDataId, List<SubjectiveQuestionScoreInfo> subjectiveQuestionScoreInfoList);

    /**
     * 计算主观题作答总长度
     *
     * @param examRecordDataId
     * @return
     */
    Integer calculationSubjectiveAnswerLength(Long examRecordDataId);

    /**
     * 初始化ExamQuestion
     *
     * @param examRecordDataId
     * @param paperStructByReorder
     */
    ExamRecordQuestionsEntity createExamRecordQuestions(Long examRecordDataId, DefaultPaper paperStructByReorder);

    /**
     * 获取考试作答记录并修复考试记录表的数据(如有必要)
     *
     * @param examRecordData 考试记录
     * @return
     */
    ExamRecordQuestionsEntity getExamRecordQuestionsAndFixExamRecordDataIfNecessary(ExamRecordDataEntity examRecordData);

    /**
     * 获取考试作答记录并修复考试记录表的数据(如有必要)
     *
     * @param examRecordDataId 考试记录id
     * @return
     */
    ExamRecordQuestionsEntity getExamRecordQuestionsAndFixExamRecordDataIfNecessary(Long examRecordDataId);

}
