package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.core.oe.admin.service.bean.NotifyUrlInfo;

import javax.validation.constraints.NotNull;

/**
 * @author chenken
 * @date 2018年11月27日 下午2:21:40
 * @company QMTH
 * @description 成绩获取队列接口
 */
public interface ExamScoreObtainQueueService {

    /**
     * 保存获取成绩队列，并发送通知
     *
     * @param examRecordDataId
     */
    void saveExamScoreObtainQueue(Long examRecordDataId);

    /**
     * 发送获取分数通知
     */
    void sendObtainScoreNotify(Long rootOrgId);

    /**
     * 根据组织机构id获取通知路径相关信息
     *
     * @param rootOrgId 组织机构id
     * @return
     */
    @NotNull NotifyUrlInfo getNotifyUrlInfo(Long rootOrgId);

}
