package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.core.basic.api.bean.CourseBean;
import cn.com.qmth.examcloud.core.basic.api.bean.StudentBean;
import cn.com.qmth.examcloud.examwork.api.bean.ExamStudentBean;
import cn.com.qmth.examcloud.support.cache.bean.OrgCacheBean;

/**
 * @author chenken
 * @date 2018年10月17日 下午2:28:30
 * @company QMTH
 * @description 获取基础数据接口
 */
public interface GainBaseDataService {

    /**
     * 获取课程
     *
     * @param courseId
     * @param rootOrgId
     * @return
     */
    public CourseBean getCourseBean(Long courseId, Long rootOrgId);

    CourseBean getCourseBean(String courseCode, Long rootOrgId);

    /**
     * 获取机构
     *
     * @param orgId
     * @return
     */
    public OrgCacheBean getOrgBean(Long orgId);

    /**
     * 获取学生
     *
     * @param studentId
     * @return
     */
    public StudentBean getStudentBean(Long studentId);

    StudentBean getStudentBean(String studentCode, Long rootOrgId);

    /**
     * 获取考生
     *
     * @param examStudentId
     * @return
     */
    public ExamStudentBean getExamStudentBean(Long examStudentId);

    /**
     * 获取系统设置
     *
     * @param key
     * @return
     */
    public String getSysConfig(String key);

}
