package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.core.oe.admin.service.bean.OfflineExamCourseInfo;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.uploadfile.FileInfo;

import java.util.List;


/**
 * @author chenken
 * @date 2018年9月5日 上午10:35:18
 * @company QMTH
 * @description 离线考试服务接口
 */
public interface OfflineExamService {

    /**
     * 获取待考课程列表
     *
     * @param studentId
     * @return
     */
    List<OfflineExamCourseInfo> getOfflineCourse(Long studentId);

    /**
     * 开始离线考试
     *
     * @param examStudentId
     * @return
     */
    void startOfflineExam(Long examStudentId);

    /**
     * 上传作答
     *
     * @param examRecordDataId
     * @param fileInfo
     */
    void submitPaper(Long examRecordDataId, FileInfo fileInfo, Long userId);

    /**
     * 上传作答
     *
     * @param examRecordDataId
     * @param fileInfoList
     */
    void batchSubmitPaper(Long examRecordDataId, List<FileInfo> fileInfoList, String fileType, Long userId);

}
