package cn.com.qmth.examcloud.core.oe.admin.service.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.QuesStructType;


/**
 * 试卷结构。一套试卷结构包含多条数据，即多个大题
 * Created by zhengmin on 2016/8/18.
 */
public class PaperStructInfo implements JsonSerializable {

    private static final long serialVersionUID = 3386140600282845440L;

    /**
     * 序号
     */
    private int index;

    /**
     * 试题类型
     */
    private QuesStructType questionType;

    /**
     * 标题
     */
    private String title;

    /**
     * 总分
     */
    private double totalScore;

    /**
     * 题量，套题则算1题
     */
    private int count;

    /**
     * 试卷结构下的题目总量，套题和套题下的子题都算
     */
    private int questionCount;

    /**
     * 每小题分
     */
    private String score;

    /**
     * 答对数量
     */
    private int succQuestionNum;

    /**
     * 答错数量
     */
    private int failQuestionNum;

    /**
     * 未作答
     */
    private Integer notAnsweredCount;

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(double totalScore) {
        this.totalScore = totalScore;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public QuesStructType getQuestionType() {
        return questionType;
    }

    public void setQuestionType(QuesStructType questionType) {
        this.questionType = questionType;
    }

    public int getQuestionCount() {
        return questionCount;
    }

    public void setQuestionCount(int questionCount) {
        this.questionCount = questionCount;
    }

    public int getSuccQuestionNum() {
        return succQuestionNum;
    }

    public void setSuccQuestionNum(int succQuestionNum) {
        this.succQuestionNum = succQuestionNum;
    }

    public int getFailQuestionNum() {
        return failQuestionNum;
    }

    public void setFailQuestionNum(int failQuestionNum) {
        this.failQuestionNum = failQuestionNum;
    }

    public Integer getNotAnsweredCount() {
        return notAnsweredCount;
    }

    public void setNotAnsweredCount(Integer notAnsweredCount) {
        this.notAnsweredCount = notAnsweredCount;
    }

}
