/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-09-03 16:52:14.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examcapture;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 考试抓拍检测信息
 *
 * @author: QMTH
 * @since: 2018/8/31
 */
public class ExamCaptureAuditInfo implements JsonSerializable {

    /**
     *
     */
    private static final long serialVersionUID = 6991258456890821018L;

    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    private Long studentId;

    private String studentName;

    private String studentCode;

    private String identityNumber;

    private String courseCode;

    private String courseName;


    /**
     * 审核状态
     */
    private String status;

    /**
     * 违纪详情
     */
    private String disciplineDetail;

    private String disciplineType;

    /**
     * 是否异常数据
     */
    private Boolean isWarn;

    /**
     * 是否被审核过
     */
    private Boolean isAudit;

    /**
     * 是否违纪
     */
    private Boolean isIllegality;

    /**
     * 抓拍比对成功次数
     */
    private Integer faceSuccessCount;

    /**
     * 抓拍比对失败次数
     */
    private Integer faceFailedCount;

    /**
     * 抓拍存在陌生人的次数
     */
    private Integer faceStrangerCount;

    /**
     * 抓拍比对总次数
     */
    private Integer faceTotalCount;

    /**
     * 抓拍比对成功比率
     */
    private Double faceSuccessPercent;

    /**
     * 活体检测结果
     */
    private String faceVerifyResult;

    /**
     * 人脸五官坐标比对值
     */
    private Double faceLandmarkVal;

    /**
     * 百度人脸活体检测通过率
     */
    private Double baiduFaceLivenessSuccessPercent;

    /**
     * 虚拟摄像头名称
     */
    private String virtualCameraNames;

    /**
     * 同步抓拍照片URL
     */
    private String syncCaptureFileUrl;

    /**
     * 学习中心名称
     */
    private String orgName;

    /**
     * 年级
     */
    private String grade;

    /**
     * 课程层次
     */
    private String courseLevel;

    /**
     * 客观题总分
     */
    private String objectiveTotalScore;

    /**
     * 切屏次数
     */
    private Integer switchScreenCount;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDisciplineDetail() {
        return disciplineDetail;
    }

    public void setDisciplineDetail(String disciplineDetail) {
        this.disciplineDetail = disciplineDetail;
    }

    public Integer getFaceSuccessCount() {
        return faceSuccessCount;
    }

    public void setFaceSuccessCount(Integer faceSuccessCount) {
        this.faceSuccessCount = faceSuccessCount;
    }

    public Integer getFaceFailedCount() {
        return faceFailedCount;
    }

    public void setFaceFailedCount(Integer faceFailedCount) {
        this.faceFailedCount = faceFailedCount;
    }

    public Integer getFaceStrangerCount() {
        return faceStrangerCount;
    }

    public void setFaceStrangerCount(Integer faceStrangerCount) {
        this.faceStrangerCount = faceStrangerCount;
    }

    public Integer getFaceTotalCount() {
        return faceTotalCount;
    }

    public void setFaceTotalCount(Integer faceTotalCount) {
        this.faceTotalCount = faceTotalCount;
    }

    public Double getFaceSuccessPercent() {
        return faceSuccessPercent;
    }

    public void setFaceSuccessPercent(Double faceSuccessPercent) {
        this.faceSuccessPercent = faceSuccessPercent;
    }

    public String getFaceVerifyResult() {
        return faceVerifyResult;
    }

    public void setFaceVerifyResult(String faceVerifyResult) {
        this.faceVerifyResult = faceVerifyResult;
    }

    public Double getFaceLandmarkVal() {
        return faceLandmarkVal;
    }

    public void setFaceLandmarkVal(Double faceLandmarkVal) {
        this.faceLandmarkVal = faceLandmarkVal;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getDisciplineType() {
        return disciplineType;
    }

    public void setDisciplineType(String disciplineType) {
        this.disciplineType = disciplineType;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Boolean getIsWarn() {
        return isWarn;
    }

    public void setIsWarn(Boolean isWarn) {
        this.isWarn = isWarn;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Boolean getIsAudit() {
        return isAudit;
    }

    public void setIsAudit(Boolean isAudit) {
        this.isAudit = isAudit;
    }

    public Boolean getIsIllegality() {
        return isIllegality;
    }

    public void setIsIllegality(Boolean isIllegality) {
        this.isIllegality = isIllegality;
    }

    public Double getBaiduFaceLivenessSuccessPercent() {
        return baiduFaceLivenessSuccessPercent;
    }

    public void setBaiduFaceLivenessSuccessPercent(
            Double baiduFaceLivenessSuccessPercent) {
        this.baiduFaceLivenessSuccessPercent = baiduFaceLivenessSuccessPercent;
    }

    public String getVirtualCameraNames() {
        return virtualCameraNames;
    }

    public void setVirtualCameraNames(String virtualCameraNames) {
        this.virtualCameraNames = virtualCameraNames;
    }

    public String getSyncCaptureFileUrl() {
        return syncCaptureFileUrl;
    }

    public void setSyncCaptureFileUrl(String syncCaptureFileUrl) {
        this.syncCaptureFileUrl = syncCaptureFileUrl;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public String getObjectiveTotalScore() {
        return objectiveTotalScore;
    }

    public void setObjectiveTotalScore(String objectiveTotalScore) {
        this.objectiveTotalScore = objectiveTotalScore;
    }

    public Integer getSwitchScreenCount() {
        return switchScreenCount;
    }

    public void setSwitchScreenCount(Integer switchScreenCount) {
        this.switchScreenCount = switchScreenCount;
    }

}
