/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-30 13:40:36.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent;


import java.io.Serializable;
import java.util.Date;

import cn.com.qmth.examcloud.support.excel.ExcelProperty;

/**
 * 考生信息-Excel格式
 *
 * @author: QMTH
 * @since: 2018/8/30
 */
public class ExamStudentExcel implements Serializable {

    @ExcelProperty(name = "学号", index = 1)
    private String studentCode;

    @ExcelProperty(name = "考生姓名", index = 2)
    private String studentName;

    @ExcelProperty(name = "身份证号", index = 3)
    private String identityNumber;

    @ExcelProperty(name = "学生电话", index = 4)
    private String phone;

    @ExcelProperty(name = "年级", index = 5)
    private String grade;

    @ExcelProperty(name = "采集人", index = 6)
    private String infoCollector;

    @ExcelProperty(name = "课程代码", index = 7)
    private String courseCode;

    @ExcelProperty(name = "课程", index = 8)
    private String courseName;

    @ExcelProperty(name = "专业名称", index = 9)
    private String specialtyName;

    @ExcelProperty(name = "学习中心", index = 10)
    private String orgName;

    @ExcelProperty(name = "完成状态", index = 11)
    private String finished;
    
    private Long examId;
    
    @ExcelProperty(name = "场次", width = 30, index = 12)
    private String examStage;
    
    private Long examStageId;
    
    private Integer examStageOrder;
    
    /**
     * 场次开始时间
     */
    private Date stageStartTime;
    
    /**
     * 场次结束时间
     */
    private Date stageEndTime;

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getPhone() {
        return phone == null ? "" : phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getGrade() {
        return grade == null ? "" : grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getInfoCollector() {
        return infoCollector == null ? "" : infoCollector;
    }

    public void setInfoCollector(String infoCollector) {
        this.infoCollector = infoCollector;
    }

    public String getCourseCode() {
        return courseCode == null ? "" : courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName == null ? "" : courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getSpecialtyName() {
        return specialtyName;
    }

    public void setSpecialtyName(String specialtyName) {
        this.specialtyName = specialtyName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getFinished() {
        return finished == null ? "" : finished;
    }

    public void setFinished(String finished) {
        this.finished = finished;
    }

	public Integer getExamStageOrder() {
		return examStageOrder;
	}

	public void setExamStageOrder(Integer examStageOrder) {
		this.examStageOrder = examStageOrder;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamStage() {
		return examStage;
	}

	public void setExamStage(String examStage) {
		this.examStage = examStage;
	}

	public Long getExamStageId() {
		return examStageId;
	}

	public void setExamStageId(Long examStageId) {
		this.examStageId = examStageId;
	}

	public Date getStageStartTime() {
		return stageStartTime;
	}

	public void setStageStartTime(Date stageStartTime) {
		this.stageStartTime = stageStartTime;
	}

	public Date getStageEndTime() {
		return stageEndTime;
	}

	public void setStageEndTime(Date stageEndTime) {
		this.stageEndTime = stageEndTime;
	}
    
    

}