/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-24 11:23:29.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent;

import java.util.Date;
import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examrecord.ExamRecordFileAnswerInfo;

/**
 * 考生信息
 *
 * @author: QMTH
 * @since: 2018/8/15
 */
public class ExamStudentInfo implements JsonSerializable {

    /**
     *
     */
    private static final long serialVersionUID = -3697944484049914650L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 考生ID(与考务的考生ID一致)
     */
    private Long examStudentId;

    /**
     * 考试ID
     */
    private Long examId;

    private String examType;

    /**
     * 学生ID
     */
    private Long studentId;

    /**
     * 学号
     */
    private String studentCode;

    /**
     * 学生姓名
     */
    private String studentName;

    /**
     * 身份证号
     */
    private String identityNumber;

    /**
     * 课程ID
     */
    private Long courseId;

    /**
     * 课程Code
     */
    private String courseCode;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 课程层次
     */
    private String courseLevel;

    /**
     * 学习中心ID
     */
    private Long orgId;

    /**
     * 学习中心代码
     */
    private String orgCode;

    /**
     * 学习中心名称
     */
    private String orgName;

    /**
     * 顶级机构ID
     */
    private Long rootOrgId;

    /**
     * 专业code
     */
    private String specialtyCode;

    /**
     * 专业名称
     */
    private String specialtyName;

    /**
     * 试卷类型
     */
    private String paperType;

    /**
     * 采集人
     */
    private String infoCollector;

    /**
     * 是否完成考试
     */
    private Boolean finished;

    /**
     * 完成状态
     * 在线考试:已完成、未完成
     * 离线考试:已抽题、未抽题、已上传
     */
    private String finishedStatus;

    /**
     * 离线考试作答文件集合
     */
    private List<ExamRecordFileAnswerInfo> offlineFiles;

    /**
     * 考点
     */
    private String examSiteName;

    /**
     * 学生电话
     */
    private String phone;

    /**
     * 年级
     */
    private String grade;

    /**
     * 是否允许上传附件
     */
    private Boolean canUploadAttachment;

    /**
     * 是否可用
     */
    private Boolean enable;

    /**
     * 已经考试的次数
     */
    private Integer usedNum;

    /**
     * 补加的考试次数
     */
    private Integer extraNum;

    /**
     * 场次id
     */
    private Long examStageId;

    /**
     * 场次号
     */
    private Integer examStageOrder;
    
    /**
     * 场次开始时间
     */
    private Date startTime;
    
    /**
     * 场次结束时间
     */
    private Date endTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getSpecialtyCode() {
        return specialtyCode;
    }

    public void setSpecialtyCode(String specialtyCode) {
        this.specialtyCode = specialtyCode;
    }

    public String getSpecialtyName() {
        return specialtyName;
    }

    public void setSpecialtyName(String specialtyName) {
        this.specialtyName = specialtyName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getInfoCollector() {
        return infoCollector;
    }

    public void setInfoCollector(String infoCollector) {
        this.infoCollector = infoCollector;
    }

    public Boolean getFinished() {
        return finished;
    }

    public void setFinished(Boolean finished) {
        this.finished = finished;
    }

    public String getExamSiteName() {
        return examSiteName;
    }

    public void setExamSiteName(String examSiteName) {
        this.examSiteName = examSiteName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public Boolean getCanUploadAttachment() {
        return canUploadAttachment;
    }

    public void setCanUploadAttachment(Boolean canUploadAttachment) {
        this.canUploadAttachment = canUploadAttachment;
    }

    public String getFinishedStatus() {
        return finishedStatus;
    }

    public void setFinishedStatus(String finishedStatus) {
        this.finishedStatus = finishedStatus;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Integer getUsedNum() {
        return usedNum;
    }

    public void setUsedNum(Integer usedNum) {
        this.usedNum = usedNum;
    }

    public Integer getExtraNum() {
        return extraNum;
    }

    public void setExtraNum(Integer extraNum) {
        this.extraNum = extraNum;
    }

    public List<ExamRecordFileAnswerInfo> getOfflineFiles() {
        return offlineFiles;
    }

    public void setOfflineFiles(List<ExamRecordFileAnswerInfo> offlineFiles) {
        this.offlineFiles = offlineFiles;
    }

    public Long getExamStageId() {
        return examStageId;
    }

    public void setExamStageId(Long examStageId) {
        this.examStageId = examStageId;
    }

    public Integer getExamStageOrder() {
        return examStageOrder;
    }

    public void setExamStageOrder(Integer examStageOrder) {
        this.examStageOrder = examStageOrder;
    }

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

    
}
