/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-24 11:23:29.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.SelectType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 考生信息查询条件类
 *
 * @author: QMTH
 * @since: 2018/8/17
 */
@ApiModel
public class ExamStudentQuery implements JsonSerializable {

    /**
     *
     */
    private static final long serialVersionUID = 4853280464208226631L;

    private Long rootOrgId;

    @ApiModelProperty("当前页数")
    private Integer pageNo;

    @ApiModelProperty("每页条数")
    private Integer pageSize;

    @ApiModelProperty("学习中心ID")
    private Long orgId;

    @ApiModelProperty("考试ID")
    private Long examId;

    @ApiModelProperty("场次ID")
    private Long examStageId;

    @ApiModelProperty("学号")
    private String studentCode;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("身份证号")
    private String identityNumber;

    @ApiModelProperty("课程ID")
    private Long courseId;

    @ApiModelProperty("课程层次")
    private String courseLevel;

    @ApiModelProperty("是否完成考试")
    private Integer finished;

    @ApiModelProperty("采集人")
    private String infoCollector;

    private Integer startLimit;

    private Integer endLimit;

    /**
     * 查询或导出  select  export
     */
    private SelectType selectType;

    //是否忽略是否上传离线考试的答案
    private Boolean ignoreUploadOfflineAnswer;
    
	@ApiModelProperty(hidden = true)
	private Long taskId;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public Integer getFinished() {
        return finished;
    }

    public void setFinished(Integer finished) {
        this.finished = finished;
    }

    public SelectType getSelectType() {
        return selectType;
    }

    public void setSelectType(SelectType selectType) {
        this.selectType = selectType;
    }

    public Integer getStartLimit() {
        return startLimit;
    }

    public void setStartLimit(Integer startLimit) {
        this.startLimit = startLimit;
    }

    public Integer getEndLimit() {
        return endLimit;
    }

    public void setEndLimit(Integer endLimit) {
        this.endLimit = endLimit;
    }

    public String getInfoCollector() {
        return infoCollector;
    }

    public void setInfoCollector(String infoCollector) {
        this.infoCollector = infoCollector;
    }

    public Boolean getIgnoreUploadOfflineAnswer() {
        return ignoreUploadOfflineAnswer;
    }

    public void setIgnoreUploadOfflineAnswer(Boolean ignoreUploadOfflineAnswer) {
        this.ignoreUploadOfflineAnswer = ignoreUploadOfflineAnswer;
    }

    public Long getExamStageId() {
        return examStageId;
    }

    public void setExamStageId(Long examStageId) {
        this.examStageId = examStageId;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

	public Long getTaskId() {
		return taskId;
	}

	public void setTaskId(Long taskId) {
		this.taskId = taskId;
	}


}
