/*
 * Copyright (c) 2020 QMTH All Rights Reserved.
 * Created by Deason on 2020-08-12 16:19:15
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.exporttask;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExportTaskStatus;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExportTaskType;
import io.swagger.annotations.ApiModelProperty;

public class ExportTaskInfo implements JsonSerializable {

    private static final long serialVersionUID = 4853280464208226631L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("导出任务类型")
    private ExportTaskType type;

    @ApiModelProperty("导出任务状态")
    private ExportTaskStatus status;

    @ApiModelProperty("任务状态信息")
    private String statusMsg;

    @ApiModelProperty(value = "学校ID")
    private Long rootOrgId;

    @ApiModelProperty("考试ID")
    private Long examId;

    @ApiModelProperty("文件路径")
    private String filePath;

    @ApiModelProperty("创建人ID")
    private Long creator;

    private String jsonParams;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public ExportTaskType getType() {
        return type;
    }

    public void setType(ExportTaskType type) {
        this.type = type;
    }

    public ExportTaskStatus getStatus() {
        return status;
    }

    public void setStatus(ExportTaskStatus status) {
        this.status = status;
    }

    public String getStatusMsg() {
        return statusMsg;
    }

    public void setStatusMsg(String statusMsg) {
        this.statusMsg = statusMsg;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public Long getCreator() {
        return creator;
    }

    public void setCreator(Long creator) {
        this.creator = creator;
    }

    public String getJsonParams() {
        return jsonParams;
    }

    public void setJsonParams(String jsonParams) {
        this.jsonParams = jsonParams;
    }


}