/*
 * Copyright (c) 2020 QMTH All Rights Reserved.
 * Created by Deason on 2020-08-12 16:19:15
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.exporttask;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExportTaskStatus;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExportTaskType;
import io.swagger.annotations.ApiModelProperty;

public class ExportTaskListReq implements JsonSerializable {

    private static final long serialVersionUID = 4853280464208226631L;

    @ApiModelProperty("当前页数")
    private Integer pageNo;

    @ApiModelProperty("每页条数")
    private Integer pageSize;

    @ApiModelProperty("导出任务类型")
    private ExportTaskType type;

    @ApiModelProperty("导出任务状态")
    private ExportTaskStatus status;

    @ApiModelProperty(value = "学校ID", hidden = true)
    private Long rootOrgId;

    @ApiModelProperty("考试ID")
    private Long examId;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public ExportTaskType getType() {
        return type;
    }

    public void setType(ExportTaskType type) {
        this.type = type;
    }

    public ExportTaskStatus getStatus() {
        return status;
    }

    public void setStatus(ExportTaskStatus status) {
        this.status = status;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

}