package cn.com.qmth.examcloud.core.oe.admin.service.bean.statistic;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.support.excel.ExcelProperty;

public class ExamStatisticInfo implements JsonSerializable {

    private static final long serialVersionUID = 5667104330981650606L;

    private Long examId;

    private Long courseId;

    private String courseName;

    private Long orgId;

    @ExcelProperty(name = "学习中心", index = 1)
    private String orgName;

    /**
     * 应考人数
     */
    @ExcelProperty(name = "应考人数", index = 2)
    private Integer allCount;

    /**
     * 实考人数
     */
    @ExcelProperty(name = "实考人数", index = 3)
    private Integer finishCount;

    /**
     * 缺考人数
     */
    @ExcelProperty(name = "缺考人数", index = 4)
    private Integer unFinishCount;

    /**
     * 缺考率
     */
    @ExcelProperty(name = "缺考率", index = 5)
    private Double unFinishRate;

    /**
     * （成绩）及格人数
     */
    @ExcelProperty(name = "及格人数", index = 6)
    private Integer passScoreCount;

    /**
     * 及格率
     */
    @ExcelProperty(name = "及格率", index = 7)
    private Double passScoreRate;

    /**
     * （成绩）优秀人数
     */
    @ExcelProperty(name = "优秀人数", index = 8)
    private Integer goodScoreCount;

    /**
     * 优秀率
     */
    @ExcelProperty(name = "优秀率", index = 9)
    private Double goodScoreRate;

    public ExamStatisticInfo() {
        this.allCount = 0;
        this.finishCount = 0;
        this.unFinishCount = 0;
        this.unFinishRate = 0d;
        this.passScoreCount = 0;
        this.passScoreRate = 0d;
        this.goodScoreCount = 0;
        this.goodScoreRate = 0d;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Integer getAllCount() {
        return allCount;
    }

    public void setAllCount(Integer allCount) {
        this.allCount = allCount;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public Integer getUnFinishCount() {
        return unFinishCount;
    }

    public void setUnFinishCount(Integer unFinishCount) {
        this.unFinishCount = unFinishCount;
    }

    public Double getUnFinishRate() {
        return unFinishRate;
    }

    public void setUnFinishRate(Double unFinishRate) {
        this.unFinishRate = unFinishRate;
    }

    public Integer getPassScoreCount() {
        return passScoreCount;
    }

    public void setPassScoreCount(Integer passScoreCount) {
        this.passScoreCount = passScoreCount;
    }

    public Double getPassScoreRate() {
        return passScoreRate;
    }

    public void setPassScoreRate(Double passScoreRate) {
        this.passScoreRate = passScoreRate;
    }

    public Integer getGoodScoreCount() {
        return goodScoreCount;
    }

    public void setGoodScoreCount(Integer goodScoreCount) {
        this.goodScoreCount = goodScoreCount;
    }

    public Double getGoodScoreRate() {
        return goodScoreRate;
    }

    public void setGoodScoreRate(Double goodScoreRate) {
        this.goodScoreRate = goodScoreRate;
    }

}
