package cn.com.qmth.examcloud.core.oe.admin.service.cache;

import cn.com.qmth.examcloud.core.oe.admin.dao.ExamStudentRepo;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamStudentEntity;
import cn.com.qmth.examcloud.support.CacheConstants;
import cn.com.qmth.examcloud.support.cache.bean.ExamStudentCacheBean;
import cn.com.qmth.examcloud.web.cache.RandomObjectRedisCache;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ExamStudentCache extends RandomObjectRedisCache<ExamStudentCacheBean> {

    @Autowired
    ExamStudentRepo examStudentRepo;

    @Override
    public ExamStudentCacheBean loadFromResource(Object... keys) {

        Long examStudentId = (Long) keys[0];

        ExamStudentEntity e = examStudentRepo.findByExamStudentId(examStudentId);

        ExamStudentCacheBean b = new ExamStudentCacheBean();
        b.setCourseId(e.getCourseId());
        b.setEnable(e.getEnable());
        b.setExamId(e.getExamId());
        b.setExamStudentId(e.getExamStudentId());
        b.setExtraNum(e.getExtraNum());
        b.setStudentId(e.getStudentId());
        b.setUsedNum(e.getUsedNum());
        b.setPaperType(e.getPaperType());
        b.setGrade(e.getGrade());
        b.setExamStageId(e.getExamStageId());
        b.setExamStageOrder(e.getExamStageOrder());

        return b;
    }

    @Override
    protected String getKeyPrefix() {
        return CacheConstants.CACHE_OE_EXAM_STUDENT;
    }

    @Override
    protected int getTimeout() {
        return 60 * 60 * 12;
    }

}
