package cn.com.qmth.examcloud.core.oe.admin.service.impl;

import cn.com.qmth.examcloud.core.oe.admin.dao.ExamScoreNoticeQueueRepo;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamScoreNoticeQueueEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.ExamScoreNoticeQueueService;
import cn.com.qmth.examcloud.web.helpers.GlobalHelper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author lideyin
 * @date 2019年3月11日 下午1:48:32
 * @description 考试成绩通知队列服务实现
 */
@Service("examScoreNoticeQueueService")
public class ExamScoreNoticeQueueServiceImpl implements ExamScoreNoticeQueueService {

    private static final Logger log = LoggerFactory.getLogger(ExamScoreNoticeQueueServiceImpl.class);

    @Autowired
    private ExamScoreNoticeQueueRepo examScoreNoticeQueueRepo;

    @Override
    public void addExamScoreNoticeQueue(Long rootOrgId) {
        ExamScoreNoticeQueueEntity entity = GlobalHelper.getEntity(examScoreNoticeQueueRepo, rootOrgId, ExamScoreNoticeQueueEntity.class);
        if (entity != null) {
            return;
        }

        entity = new ExamScoreNoticeQueueEntity();
        entity.setRootOrgId(rootOrgId);
        entity.setFailTimes(0L);
        entity.setCreationTime(new Date());
        examScoreNoticeQueueRepo.save(entity);

        log.warn("添加学校到获取成绩通知队列！rootOrgId:{}", rootOrgId);
    }

    @Override
    public boolean isExistExamScoreNoticeQueue(Long rootOrgId) {
        ExamScoreNoticeQueueEntity entity = new ExamScoreNoticeQueueEntity();
        entity.setRootOrgId(rootOrgId);
        Example<ExamScoreNoticeQueueEntity> example = Example.of(entity);
        return examScoreNoticeQueueRepo.exists(example);
    }

}
