package cn.com.qmth.examcloud.core.oe.admin.service.impl;

import cn.com.qmth.examcloud.core.oe.admin.service.LocalCacheService;
import cn.com.qmth.examcloud.support.cache.CacheHelper;
import cn.com.qmth.examcloud.support.cache.bean.StudentCacheBean;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * 本地缓存服务
 *
 * @author chenken
 * @date 2018年11月15日 下午4:58:44
 * @company QMTH
 */
@Service("localCacheService")
public class LocalCacheServiceImpl implements LocalCacheService {

    @Override
    public String getStudentPhotoNumber(Map<String, Object> cahcheMap, Long studentId) {
        String key = "cache_phone_" + studentId;
        String photoNumber = "";
        if (cahcheMap.containsKey(key)) {
            photoNumber = (String) cahcheMap.get(key);
        } else {
            StudentCacheBean studentBean = CacheHelper.getStudent(studentId);
            photoNumber = studentBean.getPhoneNumber();
            cahcheMap.put(key, photoNumber);
        }
        return photoNumber;
    }

}
