package cn.com.qmth.examcloud.core.oe.admin.service.util;

import cn.com.qmth.examcloud.core.oe.admin.service.bean.exporttask.ExportTask;
import cn.com.qmth.examcloud.support.cache.CacheHelper;
import cn.com.qmth.examcloud.support.cache.bean.SysPropertyCacheBean;

import java.util.concurrent.locks.ReentrantLock;

public class AsyncExportConcurrentUtil {

    private static Boolean taskThreadInit = false;

    private static ReentrantLock checkTaskThreadInitLock = new ReentrantLock();

    private static Integer taskThreadCount = 1;

    public static void checkOrStartJob() {
        if (taskThreadInit) {
            return;
        }
        try {
            checkTaskThreadInitLock.lock();
            if (!taskThreadInit) {
                taskThreadInit = true;
                SysPropertyCacheBean spc = CacheHelper.getSysProperty("oe.export.jobCount");
                if (spc != null && spc.getValue() != null) {
                    taskThreadCount = (Integer) spc.getValue();
                }
                for (int i = 0; i < taskThreadCount; i++) {
                    ExportTask thr = new ExportTask();
                    thr.start();
                }
            }
        } finally {
            if (checkTaskThreadInitLock.isLocked()) {
                checkTaskThreadInitLock.unlock();
            }
        }
    }

}
